Introduction to Photo GPS Extract Help

PHOTO GPS EXTRACT HELP

Welcome to the Photo GPS Extract help section. Select a topic of your interest:

  • WHAT IS PHOTO GPS EXTRACT?
  • LOADING PHOTOS ON A MAP
  • USING THE MAP
  • GENERATE EMBEDDED GOOGLE MAPS
  • OPEN TRACK LOG FOR PHOTO
  • BATCH EXTRACTOR
  • PROGRAM SETTINGS
  • COPYRIGHT & TERMS OF USE
  • PRIVACY STATEMENT
  • FREQUENTLY ASKED QUESTIONS


What is Photo GPS Extract?

Photo GPS Extract (PGE) is a tool to see the GPS coordinates of a certain JPG photo on a Google Map. This way you can quickly see the location where the photo was taken.

The basic idea behind PGE is very simple: first it will extract the GPS coordinates from the selected photo(s). Then it will instruct an internal browser to navigate to an online map, that visualizes the extracted coordinates.

It is obviously a picture file needs to contain some GPS coordinates before PGE can locate these coordinates. More and more modern cameras contain an integrated GPS receiver, and will automatically append the GPS-information to the photo. But you don't need to worry when your camera doesn't have such GPS receiver, you can add the GPS information yourself afterwards: This is done in a process called ' Geotagging' .


About Geotagging

By default, most JPEG picture files contain an invisible section that contains additional information about the picture. This section is called the 'Exif Header'. When taking a picture, the camera typically writes certain data to the EXIF header:

  • The date/time
  • The Focal Length
  • The F-number
  • The sensor sensitivity (ISO-speed)
  • ...

Some cameras also have an integrated GPS module. When the GPS module is enabled, the GPS coordinates are also written to the EXIF header. So these pictures contain the exact location where they were taken. Unfortunately many cameras don't have such GPS module, but it is always possible to add the GPS data manually. This is done in a process called 'Geotagging': you tag the pictures with a certain geographic location. There are several ways to do some Geotagging:

1. Manual Geotagging

Certain software (like Picasa, RoboGEO, ...) allows you to geotag your pictures manually. You can enter the GPS latitude/longitude coordinates, or a more easy approach: select the exact location on a map. Once the picture is geotagged, the GPS data will be written to the EXIF headers as well.

The manual Geotagging approach requires you to remember the positions where all photos were taken. This isn't easy with +1000 holiday photos, so you might consider automatic geotagging.

2. Automatic Geotagging

Automatic Geotagging requires a GPS device that is capable to store a track log. The GPS device does not require a physical connection with your camera. You just need to keep the unit with you while taking pictures. When the GPS is activated, it will save your GPS positions to its data memory. So with the log you can see your position at a certain time.

When you are back at your computer, you can synchronize the GPS track log with the JPG images. This is done with special software, like RoboGEO. This software will first read the date/time for each of your pictures. Then it will search your tracklog, to see your location at the time the picture was made. The found coordinates will then be added to the EXIF headers of the pictures. So after the synchronisation, the pictures will also contain the GPS data.

One obvious requirement is you need to make sure your camera has the correct date/time. When the pictures contain a wrong timestamp, the synchronisation won't work properly.

References

http://picasa.google.com/

http://www.robogeo.com/


Loading Photos on a map

Depending on the settings ( Single Image Mode or Multi Image Mode ), Photo GPS Extract can show one or more photos on a Google Map. There are three different ways to load a new photo on the map: by using the menu, by loading it from Windows Explorer or by dragging a photo over PGE's main screen. Currently it is not possible to load multiple photos at once: you have to add the pictures one by one. You can use the Batch Extractor to load multiple photos at once.

A single photo can be loaded in 3 different ways:

1. By using the menu File > Load Photo

You can start Photo GPS Extract yourself and click the menu File > Load Photo. This will open a dialog window to select the JPG file you want to load. Once selected, PGE will immediately show the location on the map.

2. From the right-click menu in Windows Explorer

You can run PGE from Windows Explorer by right-clicking any JPG file. A pop-up menu will appear. Click the submenu Send To > Photo GPS Extract. This will activate PGE and immediately show the location of the chosen photo.

Since PGE 5.0 a new option was introduced: it is now possible to install a shortcut at the top of the Windows Explorer's right-click menu. This will allow you to launch PGE even faster. This option isn't activated by default, because the PGE needs to make some modifications to your Windows Registry. You can activate this function under PGE's Program Settings: just check the option "Enable Windows Explorer Shell Integration" under the tab "General" .

3. By dragging a photo over the main screen

Photo GPS Extracts supports drag & drop operations: you can drag a photo from Windows Explorer and drop it on the PGE's main screen. The location of the photo will be showed immediately.

Once the photo is loaded, you can start using the map .


Single Image Mode vs. Multi Image Mode

Single Photo vs. Multi Photo Mode

Photo GPS Extract 5 can show multiple photos on a single map. This has been made possible by changing the complete internal architecture of Photo GPS Extract. The software now interacts with Google Maps by calling JavaScript functions, rather than just loading a static URL.

Single Photo Mode

In Single Photo Mode the Google Maps can show only one photo at a time. When adding another photo, the first one will disappear from the map.

Multi Photo Mode

In Multi Photo Mode the google Maps can show multiple photos at once. Each photo is indicated by a marker on the map. You can load up to 255 different photos.

You can switch between photos by using the Photo Navigator button, in the statusbar of the screen. You can also switch between pictures by clicking a marker on the map. The active photo will be indicated by a red marker, while the other markers remain blue.


Using the map

Once a photo is loaded, PGE will show a map to indicate the location where the photo was taken. The screen contains several elements:

1. The Google-Map

The Google-Map is the main part of PGE: it shows the location of the selected photo. Initially the map is centered to the location where the photo was taken.

The Map comes with its own control set: it has a zoom control, a navigation control and some buttons to select the map type. You can also go to streetview mode: grap the PegMan (the little orange icon above the zoom control) and drop it to any place on the map. This will immediately activate streetview mode. Please note streetview is not always available.

When you use Photo GPS Extract in Multiple Image Mode the map can show multiple photos. Each photo will be indicated by a marker. You can switch between photos by left-clicking a marker. You can zoom in on a certain marker by right-clicking it.

2. The Direction-Indicator

The direction box uses an arrow to indicate the direction of the picture. The arrow works the same way as a compass: when it is pointing straight up, the direction is 0° or North (N). The arrow can show all possible directions between 0 and 360° (North - East - South - West).

The direction indicator is optional and can be activated under the see Program Settings (Tab "Google Maps" > "Show Direction Indicator"). Please note not all pictures contain a direction. Your camera must support this feature: it needs a built-in compass.

You can move the direction indicator by dragging/dropping it to another place on the map: left-click on the box, and move your mouse while holding the left-button.

3. The preview image

The preview image box shows a small version of the loaded photo. Just like the direction-indicator, the preview image box is moveable and optional. It can be activated under the see Program Settings (Tab "Google Maps" > "Show Preview Image").

You can right-click the preview image to open a context menu with additional options. Here you can select a size for the preview box (Large, Medium or Small), or choose to open the picture in your default picture viewer.

HINT: You can also quickly open the full-size JPG image by double clicking the preview image: this will also open the photo in your default viewer.

4. The progress bar

The progressbar is only visible when executing large tasks.

The coordinate button shows you the location of the currently loaded photo. The used format depends on the setting you've selected under the Program Settings (Tab "Units" > "GPS Format"). You can click the button to open a little menu. This menu offers the possibility to copy the latitude/longitude/both for use in other applications.

5. The Photo Navigator

Since Photo GPS Extract 5 it is possible to load multiple images on the Google Map. The photo navigator menu will show you the names of all open pictures. By using the photo navigator you can easily switch between pictures.

6. The coordinate button

The coordinate button shows the GPS location of the photo that is currently opened.

7. The elevation button

The elevation button shows the elevation (height above sea level) of the currently loaded photo. Depening on your camera equipment, this information might not be present in your pictures. In this case the elevation button will show the message "Elevation N/A".

In older versions of Photo GPS Extract it was possible to request the elevation from Google. This is no longer possible in version 5.0 because this functionality didn't comply with Google's terms of use.

8. The direction button

The direction button shows the direction of your photo. The button will say "Direction: N/A" when your photo doesn't contain any information about the direction.

By default the direction button shows the direction in degrees (0 ... 360°). Under Program Settings you can also instruct PGE to use the cardinal degrees instead (Tab "Units" > "Direction Indication"). When using cardinal degrees, PGE will only show letters to indicate the direction: N, NE, E, SE, S, SW, W, NW.

9. The EXIF button

The EXIF button shows some information about the photo. You can click the button to get a popup menu that shows the following information:

  • Date/Time
  • Dimensions
  • Focal Length
  • Exposure Time (shutter)
  • Aperture (F-number)
  • ISO (sensitivity)


Generate embedded Google Maps

PGE allows you to create an embedded Google Map for the location that is currently indicated. You can then add this map to any webpage or blog.

1. First you need to load the desired photo . A screen with your picture will appear:

2. Then you need to run the Embedded Google Maps generator (Tools > Generate Embedded Google Maps).

Here you can select the desired height and width for your embedded map (By default the dimensions are 425 x 350 pixels). Once all information is set, you can copy the generated code to a HTML file. The resulting webpage can look like this:


Open Track Log For Photo

Description

The menu Tools contains a menu point called "Open Track Log For Photo". This function is interesting if you keep your GPS tracks: Photo GPS Extract will try to find the track log that belongs to a certain photo. If a track was found, it will be opened with its default associated program (like Garmin MapSource for the .GPX tracks).

This function was originally written to quickly open tracklogs, but it can be used for other purposes as well. For example, you can configure this feature in such a way clicking this menu point will open the folder containing the images. Or you can use it to open a certain document (like a Word file) that belongs to the photo.

Operation

When using this function, Photo GPS Extract will first read the EXIF date/time from the picture. This way it will know the date the selected picture was made. It will then look for a GPS track with a filename that corresponds with this date. If such file is found, it will be opened with its default program.

Configuration

You need to configure this function before you can use it. This needs to be done under the program settings . The following screen will pop up:

  • Enable Track Integration

Check this box to enable the track integration. Otherwise the menu "Open Track Log For Photo" will remain disabled.

  • Tracks are stored inside the photo's directory

This option allows you to specify where you store your GPS tracklogs, so Photo GPS Extract knows where to look for the files.

1. You keep all tracklogs together in a separate directory: uncheck this option

2. You keep the tracklog in the same directory as your photos: check this option

  • Base Track Folder

Specify the folder where you store your tracks. This option is only applicable if you uncheck the "Tracks are stored inside the photo's directory".

  • Track Naming

Specify how your tracks are named. You can set a fixed filename (in case the tracklog is stored in the same directory as your pictures), or use a filename with variables. You can use these variables:

{D} : Exif day (without leading zero)

{DD} : Exif day (with leading zero)

{M} : Exif month (without leading zero)

{MM} : Exif month (with leading zero)

{YY} : Exif year (2 digits)

{YYYY} : Exif year (4 digits)

When using a fixed filename, you need to give it a consequent name so it is always the same (like tracklog.gpx) in all your photo folders. You can also leave this text field empty. This way Photo GPS Extract will just open the directory containing the images/tracklogs.

Examples:

1. You keep a trackfile called track.gpx in the same folder as your pictures:

Check the option "Tracks are stored inside the photo's directory" and enter the name "track.gpx" - without using any variables.

2. You keep a trackfile in the same folder as your pictures, but it has the date in the filename (for example: 01-01-2014.gpx).

Check the option "Tracks are stored inside the photo's directory" and enter the name "{DD}-{MM}-{YYYY}.gpx".

3. You keep a trackfile called track.gpx in the same folder as your pictures, but the tracklog file is in a subfolder (example "data"):

Check the option "Tracks are stored inside the photo's directory" and enter the name "data\track.gpx" - without using any variables.

4. You keep all tracklog files in a directory called Z:\tracks. Each file is named like DD-MM-YYYY.gdb:

Uncheck the option "Tracks are stored inside the photo's directory" and enter the name "{DD}-{MM}-{YYYY}.gdb"

5. You keep all tracklog files in a directory called Z:\tracks but there is a subfolder for each year (like Z:\tracks\2013). Each file is named like DD.MM.YYYY.gpx:

Uncheck the option "Tracks are stored inside the photo's directory" and enter the name "{YYYY}\{DD}-{MM}-{YYYY}.gpx"

6. You want to open the directory containing a certain photo:

Check the option "Tracks are stored inside the photo's directory" and don't enter a name.

Even more advanced: relative tracknaming

You can even enter a relative path in the trackname textbox. Let's consider the following scenario: You keep a separate folder for every photoshoot. This folder has 2 subfolders: one with the pictures, and one with additional data. For example:

D:\photos\shootA\photos : contains the actual photos

D:\photos\shootA\docs : contains some other documents and a tracklog file which is called track.gpx

In this case you can only make the "Open track Log For Photo" function work, by entering the following relative path: You can also set relative paths for the tracknaming. So it is allowed to use "..\docs\tracks.gpx". It will instruct Photo GPS Extract to first move 1 directory up, and then go to the subdirectory docs.


Batch Extractor

The batch extractor is a tool to read the GPS coordinates from all JPG images in a certain folder. The results can be viewed on the Google Map, be exported to a .CSV (Comma Separated Values), a .KML (Google-Earth) file. Alternatively you can also just export the results to the Google Map of Photo GPS Extract itself. You can launch the Batch Extractor by clicking the menu Tools > Batch Extractor (CTRL+B).

First you need to click the button "Load Pictures". This will open a dialog window that asks for the directory you want to scan. Once you've selected the directory the Batch Extractor will immediately start scanning. This might take some time, especially when scanning directories containing hundreds of pictures (You can cancel this process at any time by clicking the CANCEL-button). Once the scan is completed, the search results will be shown in the list. The list will only show basic information about the photos (filename, latitude, longitude, elevation), but even more information is stored internally. This additional information can be seen when you export the list to CSV/KML files.

By default the Batch Extractor won't scan subdirectories of the selected directory. You can enable scanning the subdirectories under the Program Settings : go to the tab "Batch Extractor" and check the option "Include subdirectories".

View the pictures on the Google Map

You can easily view the location of any item in the list by double clicking a certain line. The map in PGE's main screen will then immediately jump to the location of the clicked item/photo.

You can also export all pictures to PGE's main screen by clicking the "Export to Map" button. This might take a while because the processing speed is only 10 pictures/second.

Export the data

You can also export the list for use in other programs. Currently the Batch Extractor supports 2 data formats:

  • CSV Files: CSV files (Comma Separated Values) are text-based databases with data fields that are separated by commas. CSV files can be opened by many other programs, like Microsoft Excel.
  • KML Files: KML (Keyword Markup Language) files can be opened with Google-Earth. The Batch Extractor can generate a fully custom Google-Earth file.


Exporting CSV Files

What are CSV files?

CSV stands for "Comma Separated Values". These kind of files are text-based databases, where the datafields are separated by commas. These kind of files can be opened by a lot of different programs, like Microsoft Excel.

Sample CSV file

The image above shows the contents of a sample CSV file, which is opened in Microsoft Notepad. The first line is called the header: it contains the names of the different data fields. The names are often separated by commas, but can also be separated by semicolons ( ; ).

The following lines are the actual data lines. Each line represents a record, whose data fields are separated by commas. So we now can 'decode' the first line:

Filename = DSC_4520.jpg

Latitude = 50.588800

Longitude = 5.971419

Elevation = 0

Direction = W

This CSV file can also be opened in Microsoft Excel. Under recent versions of Microsoft Excel, you can click the ribbon Data > From Text. After the import your data will look like this:

Setting CSV File Options

PGE offers several options to customize the CSV files. You can find these options under the program settings (File > Program Settings). Then navigate to the tab "Batch Extractor". You will find the following options:

  • Use relative paths to pictures

The CSV files normally include the full path to the photos (e.g. "C:\users\yourname\desktop\picture.jpg"). When enabling the relative paths, the CSV file will only include the filename "picture.jpg".

  • Maximize compatibility with Google Maps

Google offers a Google Map maker, allowing you to create your own online maps. This map maker can import CSV files with coordinates. You can ensure sure your CSV files are fully compatible with the Google Map maker, by checking the option "Maximize compatibility with Google Maps". This option will make sure your CSV files contains headers, latitude & longitude information. It also makes sure the datafields are separated by commas (semicolons are not supported by the Google Map maker).

  • Include headers

Check the option "Include headers" to make sure the first line of your CSV file contains the headers with the data field names.

  • Select EXIF Fields

By clicking this button you can select which data fields should be included in your CSV file. The following window will appear:

Used data formats

Your CSV files might include latitude, longitude, direction and elevation data. The used format of this data depends on the settings you made under the Program Options > Units.


Exporting KML Files

What are KML files?

KML stands for "Keyhole Markup Language". It is a file format that can be opened by Google Earth.

Sample KML file

The following image contains a sample KML file that was created with PGE. Each photo is marked by an icon (placemark), which is set to the coordinates read by PGE. You can click an icon to view the photo, and some properties about the photo (latitude, longitude, elevation).

Create your custom KML files

You can generate your own KML files from the Batch Extractor. KML files generated with PGE are very flexible: you can select the source of the images, an icon for the placemarks, a title for the placemarks, and a custom placemark text.

When exporting the results of the Batch Extractor, the following screen will appear:

  • Image Source

This option allows you to specify the source of the images. You can use photos on your local hard drive, but you can also link images that hosted online. The advantage in doing so is you can pass the KML file easily to other people, without the need to pass the JPG images as well. When they open the KML file, the files will be downloaded automatically.

Linking online images is easy:

1. Open the Batch Extractor and read the desired directory with pictures.

2. Create a folder on your own website, make sure it is publicly accessible (example: http://yoursite/pictures).

3. Upload the pictures to this folder 'pictures' (you may upload resized versions of the pictures, as long as you keep the original filenames).

4. Click the button "Export to KML" in Batch Extractor. The options dialog window will appear.

5. Select the option "The pictures are hosted in an online directory"

6. Enter the location of your online folder: http://yoursite/pictures/. Make sure the URL ends with a backslash.

7. Set other options for the KML file (if needed)

8. Click the OK-button

PGE will now create a KML-file with a placemark for each of your pictures. The file will automatically contain links to the online images (and not your locally stored images). When you open the KML-file with Google Earth, Earth will automatically download the pictures from your online folder (http://yoursite/pictures).

  • Placemark Icon

Set a custom icon for your placemarks. You can preview the selected icons by checking the option "Preview Selected Icon".

  • Placemark Title

Enter a title for your placemarks. This title is optional, you can omit it. You can also use variables inside the title (see below for a list with possible variables).

  • Image size

Define the desired size for the displayed photo.

  • Placemark Content

Here you can enter the text that should appear in your placemark. The placemark text must be written in HTML-code (the code that is used to create webpages). Please check the Internet for guidelines on how to write HTML code: There are thousands of websites out there with information on this subject. You should always validate the entered HTML code by clicking the "Validate" button. This button will not perform a complete HTML-validation, it only investigates the structure of your code.

Please note you don't need to write a complete HTML file, you should only enter the code you normally put between the <BODY> and </BODY> elements.

You can insert variables (fields) by clicking the "Insert Field" button. In the generated KML file the variables will be replaced by the actual properties of your pictures. The following list shows all possible variables:

  • Filename: $FILE
  • Absolute Filename: $FILE_ABSOLUTE
  • Relative Filename: $FILE_RELATIVE
  • GPS Latitude: $LATITUDE
  • GPS Longitude: $LONGITUDE
  • GPS Elevation: $ELEVATION
  • GPS Direction: $DIRECTION
  • Image Capture Date: $DATE
  • Image Focal Length: $FOCALLENGTH
  • Image Shutter Time: $SHUTTER
  • Image Aperture: $APERTURE
  • Image ISO Sensitivity: $ISO
  • Image Resized Height: $HEIGHT
  • Image Resized Width: $WIDTH
  • Image True Height: $TRUE_HEIGHT
  • Image True Width: $TRUE_WIDTH


Program Settings

You can view the settings by clicking the menu File > Program Settings. This will open the following option window:

The program settings are separated by different tab pages:

  • General
  • Google Maps
  • Units
  • Batch Extractor
  • Tracks
  • Advanced

General Settings

  • Enable Windows Explorer Shell Integration

By enabling the shell integration a shortcut to PGE will be added to the Window Explorer's right click menu. This allows you to open a certain JPEG very quickly. Setting this option will write some settings to your Windows Registry. The settings are not global, but will only apply for the current user of the computer.

  • Customize Shell Text

Select the text that should appear in the Windows Explorer right click menu. By default the text is "Show GPS location on a map". You can always reset the text to the original one, by clicking the reset button.

  • Pass coordinates through JavaScript

By checking this option PGE will communicate with the Google Maps by calling JavaScript functions. Otherwise PGE will just request a static URL, and pass the requested locations as URL parameters. It is highly recommened to enable this function, because it is required to use the Multiple Image Mode (see below).

  • Single Photo Mode

In Single Photo Mode only one photo location is shown on the map.

  • Multiple Photo Mode

In Multiple Image mode up to 255 images can be shown on the map.

  • Keep list with recently opened files

PGE keeps a list with the 15 last opened files. This list can be reached by the menu File > Recent Files. You can disable this list by checking the option "Keep list with recently opened files".

Google Maps

  • Favorite Map Type

Select the default map type that should be used when showing a new location. You can choose between "Map" and "Satellite".

  • Show Preview Image

By setting this option a preview of the currently opened image will be shown on the map.

  • Show Direction Indicator

By setting this option the direction of a photo will be indicated by means of an arrow. This arrow can rotate from 0 to 360 degrees. The arrow is only displayed when the viewed JPEG image contains such information.

  • Open map in StreetView mode

By setting this option Photo GPS Extract will open a photo in StreetView mode. If StreetView is unavailable for the selected location, the usual Google Maps will be shown.

  • Default Zoom Level

This option defines the default zoom when opening new photos. You can select a zoom between 0 (whole world) and 19 (zoomed in).

Units

  • Elevation Unit

Select the desired unit for the elevation: meter or feet.

  • GPS Format

Select the desired GPS Format. You can choose between 3 different formats:

- Decimal degrees: 51.045925

- Degrees, Minutes, Seconds: 51°2'45.3300" N

- Degrees, Decimal Minutes: 3°42.1412' E

  • Direction Indication

Select the desired indication for the direction: degrees or cardinal degrees. When using degrees, all possible directions can be displayed (0 ... 360°). When using cardinal degrees, the direction is indicated by letters (N, NE, E, SE, S, SW, W, NW).

Batch Extractor

  • Include subdirectories

This option will instruct the Batch Extractor to search the selected folder recursively: all subfolders will be searched as well. This can take a long time when processing larger directories.

  • Set .JPG extensions to lowercase

Some digital cameras write JPG files with an extension in uppercase: all capital letters (.JPG). Some versions of Google Earth have a problem to display images with such names: because of a bug in Google Earth they are not recognized as JPG files. By setting the option "Set .JPG extensions to lowercase", PGE will automatically transform all file extensions to lowercase: A file with filename DSC_0001.JPG will then become DSC_0001.jpg.

This option will NOT affect your image files in any way: it is only the reference inside the KML file that is changed.

  • View Options

This will open a dialog Window where you can set all possible options for the KML files.

  • Use relative path to pictures

Normally the exported CSV files contain the full-path to the JPG files. By setting the option "Use relative path to pictures" the path-information will be removed, and only the filenames will be exported to Google Earth.

  • Maximize compatibility with Google Earth

This option will maximize the compatibility with Google Maps. In the online Google Maps you can create your own custom maps by importing data from CSV files. Setting this option will make sure the generated CSV files comply with the requirements of Google Maps:

  • The fields are separated by commas
  • The first line will include headers
  • The fields include both latitude and longitude

  • Include headers

Checking this option will make sure the first line of the exported CSV file contains the headers with field names.

  • Set Exif fields

This button opens a window where you can select all fields you want to include in the exported CSV files.

Tracks

This tabbpage contains settings for the "Open Track Log For Photo" function. Read more about this function and its configuration .

Advanced

Sometimes it can happen the Exif of a certain picture doesn't hold valid GPS data. This tab allows you to tell PGE what to do in such cases.

  • Ignore All GPS-data for that photo

This option causes Photo GPS Extract to ignore all pictures with one or more invalid GPS-tags.

  • Try to use the data anyway

This option will make Photo GPS Extract try to extract the data anyway, even if one or more Exif-tags are missing or invalid. It is known some versions of Adobe Photoshop Elements somtimes omits the required tag "LatitudeRef" or "LongitudeRef". These tags normally hold a single letter indicating the position (North/South, East/West). By setting the default LatitudeRef and LongitudeRef, you can instruct what reference to use in case these fields are missing. You should select North and East.

  • Consider the GPS LatLng location 0,0 as invalid

Some cameras with integrated GPS-units write the location 0,0 (latitude=0, longitude=0) in case the GPS receiver didn't have a valid signal at the time a picture was taken. Select this option to make Photo GPS Extract ignore JPG files with these erroneous coordinates: the program will then simply say the image doesn't have any GPS coordinates.


Privacy Statement

Since Photo GPS Extract 5.0 there no longer is a privacy issue. Your version of the software communicates with the Google Map by calling JavaScript functions: requested coordinates are no longer transmitted through http://www.bvsystems.be.

Photo GPS Extract still communicates with http://www.bvsystems.be to obtain the HTML file with the Google Map. If you don't like this you can download the HTML file pge5.htm and place it in the directory where you installed Photo GPS Extract. Doing so Photo GPS Extract will stop contacting bvsystems.be.


Frequently Asked Questions

Does Photo GPS Extract require an Internet connection?

Yes, PGE needs an active Internet connection because it accesses Google Maps.

Can I setup a proxy server?

You can't set a proxy server in PGE: the software uses the same proxy settings as your Microsoft Internet Explorer.

Can I use Photo GPS Extract for free?

Photo GPS Extract is freeware and will always remain so. You are allowed to use the program in corporate environments.


Copyright & Terms Of Use

COPYRIGHT

Photo GPS Extractor is written by Vanderhaegen Bart. You can contact me at bart.vanderhaegen@bvsystems.be.

USAGE RIGHT

You can use and distribute this program for free, even if you use it in a corporate environment. Please note Photo GPS Extract heavily depends on the Google Maps. You should also consult the terms-of-use for Google Maps.

By using this software you agree Photo GPS Extract uses a HTML file containing the Google Map, which is hosted at http://www.bvsystems.be ( see privacy statement ).

DISCLAIMER

You should use this program at your own risk. I can't be held responsible for any possible damage or data loss that is caused by using this program.

Photo GPS Extract minimizes the impact to your computer system: it stores it settings in its own configuration file and it can only read JPG images. PGE won't change your photos in any way!

Photo GPS Extract only alters a few settings in your Windows Registry, if you decide to activate the Shell Integration.